// 报告模块

import { httpGet, httpPost } from "@/utils/request.js";

/**
 * 研报详情
 * @param report_id 
 */
export const apiReportDetail=params=>{
    return httpGet('/report/detail',params)
}

/**
 * 章节详情
 * @param report_chapter_id
 */
export const apiChapterDetail=params=>{
    return httpGet('/report/chapter/detail',params)
}

/**
 * 研报首页顶部权限菜单
 */
export const apiReportIndexPageAuthList=()=>{
    return httpGet('/company/getPermissionList',{})
}

/**
 * 研报首页报告列表
 * @param chart_permission_id
 */
export const apiReportIndexPageList=params=>{
    return httpGet('/report/collect',params)
}

/**
 * 研报搜索
 * @param key_word
 */
export const apiReportSearch=params=>{
    return httpGet('/report/search',params)
}

/**
 * 分类数据
 */
export const apiReportClassify=()=>{
    return httpGet('/classify/ficc',{})
}

/**
 * 研报列表
 * @param classify_id_first
 * @param key_word
 */
export const apiReportList=params=>{
    return httpGet('/report/list',params)
}

/**
 * 二级分类列表
 * @param classify_id_first
 * @param classify_id_second
 */
export const apiSubClassifyList=params=>{
    return httpGet('/classify/simple/list',params)
}

/**
 * 专栏列表
 * @param classify_id_first
 */
export const apiSpecialColumnList=params=>{
    return httpGet('/classify/list',params)
}

/**
 * 专栏详情
 * @param classify_id_second
 */
export const apiSpecialColumnDetail=params=>{
    return httpGet('/classify/detail',params)
}

/**
 * 专栏详情中目录
 * @param classify_id_second
 * @param current_index
 * @param page_size
 */
export const apiSpecialColumnReportList=params=>{
    return httpGet('/classify/detail/reports',params)
}

/**
 * 章节详情中指标数据
 * @param report_chapter_id
 */
export const apiChapterTickerValue=params=>{
    return httpGet('/report/chapter/ticker',params)
}

/**
 * 报告对应的ppt图片
 * @param report_id 报告id
 * @param report_chapter_id 报告章节id
 */
export const apiReportPPtImgs=params=>{
    return httpGet('/report/ppt_img',params)
}

/**
 * 品种类型报告中品种筛选项
 * @param classify_id 分类id
 */
export const apiGoodsPermissionList=params=>{
    return httpGet('/company/permission/commodities',params)
}

/**
 * 按品种查询报告列表
 * @param chart_permission_id 品种id
 * @param classify_id 分类id
 * @param current_index
 * @param page_size
 */
export const apiReportListForVariety=params=>{
    return httpGet('/report/variety/list',params)
}